%% SiSU version 4
  <http://sources.sisudoc.org/gitweb/?p=code/sisu.git;a=summary>
  <http://sources.sisudoc.org/?p=code/sisu.git;a=blob;f=data/doc/sisu/CHANGELOG_v4;hb=HEAD>
* debian/changelog
  <http://sources.sisudoc.org/gitweb/?p=code/sisu.git;a=blob_plain;f=debian/changelog;hb=refs/heads/debian/sid>
v4 stable branch supersedes & replaces v3 branch
   initial goals:
   * remove/retire "skins"; replace some functionality with headers and/or yml
     file (consider header like syntax for document and site appearance info)
   * bin/sisu $0 make possible to run sisu command on/within project dir tree
   * bin/sisu $*, hub, make possible to specify dir path for markup files
v2 branch is removed; it is available in sisu =< 3.3.2

* homepage at: <http://www.jus.uio.no/sisu>
* <http://www.jus.uio.no/sisu/SiSU/download>
* <http://www.jus.uio.no/sisu/SiSU/changelog>
* <http://sisudoc.org/sisu/sisu_manual>
* data/doc/sisu/sisu_markup_samples/sisu_manual/sisu_manual.ssm
* data/doc/sisu/sisu_markup_samples/sisu_manual/sisu_download.ssi
* CHANGELOG CHANGELOG_v2 CHANGELOG_v3 README data/doc/sisu/

%% Reverse Chronological:

%% 4.0.11.orig.tar.xz (2013-03-06:09/3)
http://sources.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/sisu_4.0.11
http://sources.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/sisu_4.0.11-1
http://www.jus.uio.no/sisu/pkg/src/sisu_4.0.11.orig.tar.xz
  sisu_4.0.11.orig.tar.xz
  sisu_4.0.11-1.dsc

* v4: bin/sisu, expand given path for sisu executable
  (where system sisu not called directly)

* v4: sysenv, base images path determined from given path for sisu executable
  (where system sisu not called directly)

* v4: options, sisupod, name determination, fix
  * needed for creation of multiple sisupods

* v4: html_format, html segment navigation to toc, fix

%% 4.0.10.orig.tar.xz (2013-03-05:09/2)
http://sources.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/sisu_4.0.10
http://sources.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/sisu_4.0.10-1
http://www.jus.uio.no/sisu/pkg/src/sisu_4.0.10.orig.tar.xz
  sisu_4.0.10.orig.tar.xz
  sisu_4.0.10-1.dsc

* v4: texpdf, report to STDERR when pdf not (successfully) generated, note:
  .tex file is almost certainly produced by sisu, this will be a sisu packaging,
  texlive dependency issue, preventing its conversion to pdf (Closes: #617359)

* v4: sysenv, set default output (directory layout) type where none configured
  (also turned off reporting where imagemagick & graphicsmagick not installed)

* v4: html, epub, minor "cleaning" of output

%% 4.0.9.orig.tar.xz (2013-02-22:07/5)
http://sources.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/sisu_4.0.9
http://sources.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/sisu_4.0.9-1
http://www.jus.uio.no/sisu/pkg/src/sisu_4.0.9.orig.tar.xz
  sisu_4.0.9.orig.tar.xz
  sisu_4.0.9-1.dsc

* v4: dal, line across page divider -..- introduced, an alternative to page
    break -\\- & =\\=, affects pdf and odf most significantly
  * output formats modified to include, (pdf, odf, epub, html, plaintext)
  * vim syntax, sisu.vim
  * emacs, sisu-mode.el
  * documentation, sisu_markup.sst, man page sisu.1, sisu.1.html

%% 4.0.8.orig.tar.xz (2013-02-20:07/3)
http://sources.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/sisu_4.0.8
http://sources.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/sisu_4.0.8-1
http://www.jus.uio.no/sisu/pkg/src/sisu_4.0.8.orig.tar.xz
  sisu_4.0.8.orig.tar.xz
  sisu_4.0.8-1.dsc

* v4: epub
  * tinkering with some headers
  * add markup of angle brackets '<' & '>' to early markup of ampersand '&'

* v4: html, modification to markup of angle brackets '<' & '>' and ampersand '&'

* v4: vim, ftplugin & colorschemes housekeeping, scheme "def*" added
  * general housekeeping
  * :colorscheme def256* defined from 256 colors (primarily 16 of them) terminal
    & gui (identical) (terminal scheme based on frugal & extended to cover gui)
  * :colorscheme def* cterm defined primarily using 16 colors (a few from 256)
    (to be usable tweak .Xdefaults) gui provided along with Xdefault settings to
    make cterm match this gui or def256*

* v4: emacs, sisu-mode.el
  * sisu headers update
  * cosmetic code reshuffle

* b_epub.png, epub icon (for manifest) updated to use official image

%% 4.0.7.orig.tar.xz (2013-02-10:05/7)
http://sources.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/sisu_4.0.7
http://sources.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/sisu_4.0.7-1
http://www.jus.uio.no/sisu/pkg/src/sisu_4.0.7.orig.tar.xz
  sisu_4.0.7.orig.tar.xz
  sisu_4.0.7-1.dsc

* v4: vim, minimal color schemes, minor edits

* v4: dbi_discrete, discreet should have been discrete, renames accordingly

* v4: lib, bin/sisu, misc, code headers provide url to online git file source
  * e.g. bin/sisu * Git
   <http://sources.sisudoc.org/gitweb/?p=code/sisu.git;a=summary>
   <http://sources.sisudoc.org/?p=code/sisu.git;a=blob;f=bin/sisu;hb=HEAD>

%% 4.0.6.orig.tar.xz (2013-02-07:05/4)
http://sources.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/sisu_4.0.6
http://sources.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/sisu_4.0.6-1
http://www.jus.uio.no/sisu/pkg/src/sisu_4.0.6.orig.tar.xz
  sisu_4.0.6.orig.tar.xz
  sisu_4.0.6-1.dsc

* v4: html, screen reporting for --html-scroll, correctly identify output file

* v4: pdf
  * pdf (options, hub, urls), orientation, portrait & landscape optionally
    discrete, individually callable
    * --pdf-l (--pdf-landscape), --pdf-p (--pdf-portrait)
    * sisu latex output & xetex generation
  * pdf (options, param), papersize, command-line options to override sisurc
    settings, [a4,a5,b5,letter,legal] when --pdf* used:
    * --papersize-a4 --papersize-letter (also --a4 --letter)
    * --papersize=a4,letter
    * --pdf-a4 --pdf-letter (for portrait only --pdf-p-a4 --pdf-p-letter)
      [orientation & papersize options are set independently so calling
      --pdf-p-a4 & --pdf-l-letter would result in landscapes and portraits of
      both a4 & letter (rather than an individual request for a portrait A4 & a
      landscape letter size)]
  * texpdf, cosmetic code

* v4: utils (debug renamed)
  * SiSU_Utils::CodeMarker (from Debug::Mark)
  * SiSU_Utils::Path.new.base_markup provides base markup directory that
    contains sisu markup files, any language sub-directories (with sisu markup
    files) and sisu resource configuration sub-directory, if any (./_sisu)
    (identifies when needed in runtime)

* v4: sysenv, webserv dir (output dir), ensure it is determined from base markup
    dir where relative path provided (remove possibility of it being done from a
    language sub-directory), fix

* v4: documentation
  * sisu_manual/sisu_commands
  * manpage & html

%% 4.0.5.orig.tar.xz (2013-02-03:04/7)
http://sources.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/sisu_4.0.5
http://sources.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/sisu_4.0.5-1
http://www.jus.uio.no/sisu/pkg/src/sisu_4.0.5.orig.tar.xz
  sisu_4.0.5.orig.tar.xz
  sisu_4.0.5-1.dsc

* v4: html (options, hub, urls), scroll & seg optionally discrete, individually
    callable
  * --html (both), --html-scroll, --html-seg
  * [possibly of interest where only one form of html of interest for use &/or
     to cut generation time (roughly to 63% for --html-scroll only)]

* v4: sysenv, on --redirect, stop creation of redundant dir

* v4: html, includes book index fix, rest cosmetic

* v4: css (html & epub) line spacing reduced, paragraph spacing increased
  * may need to tune spacing further to distinguish lines from new paragraphs
    (especially where ocn is not used as the distinction may be less
    clear/obvious)

* v4: documentation, include --html-scroll and --html-seg options
  * sisu_manual/sisu_commands
  * manpage & html

%% 4.0.4.orig.tar.xz (2013-01-31:04/4)
http://sources.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/sisu_4.0.4
http://sources.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/sisu_4.0.4-1
http://www.jus.uio.no/sisu/pkg/src/sisu_4.0.4.orig.tar.xz
  sisu_4.0.4.orig.tar.xz
  sisu_4.0.4-1.dsc

* v4: param_make, :cover_image: regex, less finicky match of image & details
  * [bug reported by Mikael Böök]

* v4: dal, on ocn excluded paragraphs (~# -#), hang/indent bullet, fix
  * [bug reported indirectly by Cory Doctorow (discovered in work with markup)]

* v4: epub, constants, debug alternative for various readers ... work on

* v4: dal (obj), html, br_page* behavior in html depending on origin of break
  (markup specified v auto)

%% 4.0.3.orig.tar.xz (2013-01-27:03/7)
http://sources.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/sisu_4.0.3
http://sources.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/sisu_4.0.3-1
http://www.jus.uio.no/sisu/pkg/src/sisu_4.0.3.orig.tar.xz
  sisu_4.0.3.orig.tar.xz
  sisu_4.0.3-1.dsc

* v4: epub some fixing, more documents render in more readers/viewers
  * ncx fix, navpoint_close [bug reported by Mikael Böök, with sample fix toc]
  * check xml representation of characters (& < > in particular)

* v4: remove markup-sample of the first edition of FaiF as redundant, the
  markup for the second edition being available (& partly in response to
  Bug#698664 which leads me to think about it), removed:
  free_as_in_freedom.richard_stallman_crusade_for_free_software.sam_williams.sst
  and associated images

%% 4.0.2.orig.tar.xz (2013-01-23:03/3)
http://sources.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/sisu_4.0.2
http://sources.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/sisu_4.0.2-1
http://www.jus.uio.no/sisu/pkg/src/sisu_4.0.2.orig.tar.xz
  sisu_4.0.2.orig.tar.xz
  sisu_4.0.2-1.dsc

* v4: epub
  * remove unnecessary conversion of some utf-8 characters to xhtml
    representation; fix as messed up table of contents, toc.ncx
    (e.g. in calibre)
    * [bug reported by Mikael Böök]
  * provide full depth epub table of contents [request Mikael Böök]
  * cosmetic arrangement of code <<-WOK
  * xhtml structure error, fix missing </div>
    * [bug reported by Mikael Böök] (fix of additional detail)

* v4: html
  * remove unnecessary conversion of some utf-8 characters to html
    representation

* v4: texpdf_format
  * list of .sty files (and their texlive source within Debian)
    [not part of code]

* v4: param, match possible sisu version, detail

* v4: sysenv, debug tag, triggered where output type not set

%% 4.0.1.orig.tar.xz (2013-01-01:00/2)
http://sources.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/sisu_4.0.1
http://sources.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/sisu_4.0.1-1
http://www.jus.uio.no/sisu/pkg/src/sisu_4.0.1.orig.tar.xz
  sisu_4.0.1.orig.tar.xz
  sisu_4.0.1-1.dsc

* v4: html_segments (by_filename by_filetype) internal document links do not
  work filenames need to include lang code, fixed
  * [chals on irc, re live-manual, debian-live]

* v4: bin/sisu & sysenv, rc_path_options, provide fixed path to rc files, (used
  e.g. to load sisurc.yml)

* v4: options, sysenv, check (existing) inclusions & exclusions command line,
  document header, sisurc, fixes

* v4: plaintext, in code blocks retain a blank empty line, a fix
  * [known old bug, affects sisu_manual, fix request from SynrG on irc, re
     live-manual]

* v4: manpage, attempt to improve output (line-spacing)

* v4: param, minor change any legacy <br> line break in metadata markup to \\

* v4: debug (internal code use), color markers for line number & file name
  (colored location markers to show when line passed within running code)

* v4: control color on/off to screen
  close #622171 sisu: --color flag, which toggles color on/off
  there are various ways to control color output to screen
  * --color-off or -k switches color off
  * --color or --color-on switches color on, which is usually the default
  * --color-toggle or -c toggles the default setting (in most cases)
  * sisurc.yml can set default color state which affects most screen output
  the fix here is specific to color on/off for reporting of sisu version
  sisu -v -k
  sisu --version --color-off

* v4: documentation minor updates and regenerated manpage

%% 4.0.0.orig.tar.xz (2012-12-12:50/3)
http://sources.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/sisu_4.0.0
http://sources.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/sisu_4.0.0-1
http://www.jus.uio.no/sisu/pkg/src/sisu_4.0.0.orig.tar.xz
  sisu_4.0.0.orig.tar.xz
  sisu_4.0.0-1.dsc

* v4: bin/sisu $0 make possible to run sisu command on/within project dir tree
  (previously sisu needed to be correctly installed with system paths honored)
  NOTE: loading of skins turned off

* v4: bin/sisu $*, hub, make possible to specify dir path for markup files
  (previously sisu needed to be invoked and run on files within the selected
  markup file directory)
  run sisu on markup in given path (or relative path), e.g.:
    sisu ~/path1/filename.ssm ~/path2/*.ss[tm]

* v4: defaults, some cleaning

* v4: skins (remove)
  * remove skins
  * defaults, rename class Defaults (was InfoSkin)
  * sisupod, remove skin, fix path

* v4: db
  * no skin info to store, omitted from structure
  * change prefix name (structure changed)

* v4 (&v3): markup samples, for v4 remove skins, separate (v3 & v4) directories

* v4: param (header make)
  * epub, pdf, book cover images
  * html, home button
    * text button
    * image/icon button
  * pdf, footer

* v4: param_make, options, read common make instruction header for documents,
  _sisu/v4/sisu_document_make
  * @make:
  * @links:

* v4: sisupod, use common make instruction header for documents
  * sisupod make instruction header file, write & read

* v4: document headers, metadata rearranged, wide-ranging effect

* v4: vim syntax, sisu.vim, make new headers

* v4: documentation; markup samples & help
